Skip to main content
POST
/
fine_tuning
/
jobs
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "created_at": 123,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "param": "<string>"
  },
  "fine_tuned_model": "<string>",
  "finished_at": 123,
  "hyperparameters": {
    "batch_size": "auto",
    "learning_rate_multiplier": "auto",
    "n_epochs": "auto"
  },
  "model": "<string>",
  "object": "fine_tuning.job",
  "organization_id": "<string>",
  "result_files": [
    "<string>"
  ],
  "status": "validating_files",
  "trained_tokens": 123,
  "training_file": "<string>",
  "validation_file": "<string>",
  "seed": 123,
  "metadata": {},
  "user_provided_suffix": "<string>",
  "integrations": [
    {
      "type": "<string>"
    }
  ],
  "estimated_finish": 123
}

Authorizations

api-key
string
header
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Body

application/json
model
required

The name of the model to fine-tune. You can select one of the supported models.

training_file
string
required

The ID of an uploaded file that contains training data.

See upload file for how to upload a file.

Your dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose fine-tune.

The contents of the file should differ depending on if the model uses the chat, completions format, or if the fine-tuning method uses the preference format.

See the fine-tuning guide for more details.

hyperparameters
object
deprecated

The hyperparameters used for the fine-tuning job. This value is now deprecated in favor of method, and should be passed in under the method parameter.

suffix
string | null

A string of up to 64 characters that will be added to your fine-tuned model name.

For example, a suffix of "custom-model-name" would produce a model name like ft:gpt-4o-mini:openai:custom-model-name:7p4lURel.

Required string length: 1 - 64
validation_file
string | null

The ID of an uploaded file that contains validation data.

If you provide this file, the data is used to generate validation metrics periodically during fine-tuning. These metrics can be viewed in the fine-tuning results file. The same data should not be present in both train and validation files.

Your dataset must be formatted as a JSONL file. You must upload your file with the purpose fine-tune.

See the fine-tuning guide for more details.

integrations
object[] | null

A list of integrations to enable for your fine-tuning job.

seed
integer<int32> | null

The seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases. If a seed is not specified, one will be generated for you.

Required range: 0 <= x <= 2147483647
method
object

The method used for fine-tuning.

metadata
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

Response

The request has succeeded.

The fine_tuning.job object represents a fine-tuning job that has been created through the API.

id
string
required

The object identifier, which can be referenced in the API endpoints.

created_at
integer<unixtime>
required

The Unix timestamp (in seconds) for when the fine-tuning job was created.

error
object
required

For fine-tuning jobs that have failed, this will contain more information on the cause of the failure.

fine_tuned_model
string | null
required

The name of the fine-tuned model that is being created. The value will be null if the fine-tuning job is still running.

finished_at
integer<unixtime> | null
required

The Unix timestamp (in seconds) for when the fine-tuning job was finished. The value will be null if the fine-tuning job is still running.

hyperparameters
object
required

The hyperparameters used for the fine-tuning job. This value will only be returned when running supervised jobs.

model
string
required

The base model that is being fine-tuned.

object
enum<string>
required

The object type, which is always "fine_tuning.job".

Available options:
fine_tuning.job
organization_id
string
required

The organization that owns the fine-tuning job.

result_files
string[]
required

The compiled results file ID(s) for the fine-tuning job. You can retrieve the results with the Files API.

status
enum<string>
required

The current status of the fine-tuning job, which can be either validating_files, queued, running, succeeded, failed, or cancelled.

Available options:
validating_files,
queued,
running,
succeeded,
failed,
cancelled
trained_tokens
integer<int32> | null
required

The total number of billable tokens processed by this fine-tuning job. The value will be null if the fine-tuning job is still running.

training_file
string
required

The file ID used for training. You can retrieve the training data with the Files API.

validation_file
string | null
required

The file ID used for validation. You can retrieve the validation results with the Files API.

seed
integer<int32>
required

The seed used for the fine-tuning job.

metadata
object
required

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

user_provided_suffix
string | null

The descriptive suffix applied to the job, as specified in the job creation request.

integrations
object[] | null

A list of integrations to enable for this fine-tuning job.

estimated_finish
integer<unixtime> | null

The Unix timestamp (in seconds) for when the fine-tuning job is estimated to finish. The value will be null if the fine-tuning job is not running.

method
object

The method used for fine-tuning.